﻿.contact-box{
  width: 100%;
  height: 100vh;
  display: table;
  position: relative;
  overflow: hidden;
}

.contact-bg{
  width: 100%;
  height: 120%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-image: url('../img/contact-banner.jpg');
  display: block;
  transition: all .3s linear;
  position: absolute;
  top: 0;
  left: 0;
}
.contact-mid{
  display:table-cell;
  vertical-align: middle;
  position: relative;
  z-index: 1;
}
.contact-info-box{
  width: 800px;
  max-width: 100%;

  padding: 30px;
  box-sizing: border-box;
  display: block;
  margin: 0 auto;
  background-color: rgba(255, 255, 255, 0.9);
  font-size: 0;
}
.contact-title{
  font-size: 40px;
  font-family: 'cwTeXFangSong';
  display: inline-block;
  letter-spacing: 5px;
}
.contact-ps{
  font-size: 14px;
  color: #555;
  display:block;
  vertical-align: bottom;
  letter-spacing: 2px;

}
.contact-info-list{
  width: 340px;
  max-width: 100%;
  display: block;
  float: left;
  margin-top: 30px;
  margin-bottom: 10px;
  position: relative;
}
.contact-info-list:nth-child(even){
  float: right;
}
.contact-info-list input{
  width: 100%;
  border: 0;
  border-bottom: 1px solid #000;
  box-sizing: border-box;
  background-color: transparent;
  height: 30px;
  line-height: 30px;
  font-size: 14px;
  letter-spacing: 2px;
}

.contact-lable{
  font-size: 14px;
  color: #555;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
  letter-spacing: 2px;
}
.contact-lable span{
  color: #b81b1b;
}
.contact-textarea{
  width: 100%;
  clear: both;
  margin-bottom: 25px;
}
.contact-textarea textarea{
  font-size: 14px;
  color: #555;
  border: 0;
  border-bottom: 1px solid #000;
  width: 100%;
  height: 130px;
  resize: none;
  outline: none;
  background-color: transparent;
  cursor: pointer;
}


#name:focus + .contact-lable,
#tel:focus + .contact-lable,
#mail:focus + .contact-lable,
#company:focus + .contact-lable,
#textarea:focus + .contact-lable{
  display: none;
}
.contact-button{
  width: 160px;
  height: 40px;
  max-width: 100%;
  display: block;
  background-color: transparent;
  border: 1px solid #000;
  margin: 0 auto;
  font-family: "微軟正黑體";
  letter-spacing: 2px;
  margin-top: 20px;
  transition: all .3s linear;
  cursor: pointer;
  outline: none;
}

.contact-phone-box{
  width: calc(100% - 168px);
  display: inline-block;
  text-align: right;
}
.contact-phone-title,
.contact-phone-link{
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 2px;
  color: #c14305;
  display: inline-block;
  transition: all .5s ease;
}
.contact-phone-link:hover{
  color: #b81b1b;
}
.contact-connection-box{
  width: 350px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  clear: both;
}
.contact-connection-link{
  transition: all .5s ease;
}
.contact-connection-link-phone{
  display: block;
  float: left;
  font-size: 14px;
}
.contact-connection-link-line{
  display: block;
  float: right;
  font-size: 14px;
}

/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color: #555555;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

